#!/usr/bin/env python
# -*- coding: UTF-8 -*-

from PkgCore import utils

def TEST_humanize_size():
    print("-------- TestCase: humanize_size(size) ")
    print("-------- Input: 1001 ")
    print("-------- Expected Outout: 2 kB ")
    read_size = utils.humanize_size(1001)
    if read_size == "2 kB":
        print("PASS ------ humanize_size \n")
    else:
        print("FAIL ------ humanize_size \n")

def TEST_is_port_already_listening():
    print("-------- TestCase: is_port_already_listening(port) ")
    print("-------- Input: 22 ")
    print("-------- Expected Outout: True ")
    is_listening = utils.is_port_already_listening(22)
    if is_listening:
        print("PASS ------ is_port_already_listening \n")
    else:
        print("FAIL ------ is_port_already_listening \n")

def TEST_capitalize_first_word():
    print("-------- TestCase: capitalize_first_word(word) ")
    print("-------- Input: helloword ")
    print("-------- Expected Outout: Helloword ")
    handle_word = utils.capitalize_first_word("helloword")
    if handle_word == "Helloword":
        print("PASS ------ capitalize_first_word \n")
    else:
        print("FAIL ------ capitalize_first_word \n")

def TEST_str_to_bool():
    print("-------- TestCase: str_to_bool(str) ")
    print("-------- Input: FaLSe ")
    print("-------- Expected Outout: False ")
    str_bool = utils.str_to_bool("FaLSe")
    if str_bool == False:
        print("PASS ------ str_to_bool \n")
    else:
        print("FAIL ------ str_to_bool \n")

if __name__ == '__main__':
    print("TEST start ...\n")
    TEST_humanize_size()
    TEST_is_port_already_listening()
    TEST_capitalize_first_word()
    TEST_str_to_bool()
    print("TEST end ...")
